| Version: 3.2.5

Public Member Functions | List of all members
wxHtmlRenderingInfo Class Reference
Class List by Category » HTML

`#include <wx/html/htmlcell.h>`

## Detailed Description

This class contains information given to cells when drawing them.

Contains rendering state, selection information and rendering style object that can be used to customize the output.

##

Library: wxHTML
Category: HTML

See also
  Cells and Containers, wxHtmlCell

## Public Member Functions

| wxHtmlRenderingInfo ()
| Default ctor. More...
void | SetSelection (wxHtmlSelection *s)
| Accessors. More...
wxHtmlSelection * | GetSelection () const
void | SetStyle (wxHtmlRenderingStyle *style)
wxHtmlRenderingStyle & | GetStyle ()
wxHtmlRenderingState & | GetState ()

## Constructor & Destructor Documentation

## ◆ wxHtmlRenderingInfo()

wxHtmlRenderingInfo::wxHtmlRenderingInfo | ( |  | ) |

Default ctor.

## Member Function Documentation

## ◆ GetSelection()

wxHtmlSelection* wxHtmlRenderingInfo::GetSelection | ( |  | ) | const

## ◆ GetState()

wxHtmlRenderingState& wxHtmlRenderingInfo::GetState | ( |  | ) |

## ◆ GetStyle()

wxHtmlRenderingStyle& wxHtmlRenderingInfo::GetStyle | ( |  | ) |

## ◆ SetSelection()

void wxHtmlRenderingInfo::SetSelection | ( | wxHtmlSelection * | s | ) |

Accessors.

## ◆ SetStyle()

void wxHtmlRenderingInfo::SetStyle | ( | wxHtmlRenderingStyle * | style | ) |